Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162529 - Boot hangs at "GRUB Loading Stage 2"
Summary: Boot hangs at "GRUB Loading Stage 2"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grub
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-05 20:44 UTC by William Allen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-06 22:44:16 UTC


Attachments (Terms of Use)

Description William Allen 2005-07-05 20:44:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
My FC4 upgrade from FC3 failed because it found reiserfs partitions.  On a help suggestion, I succeeded in installing by specifying
     Linux Selinux=0 reiserfs
I chose the default for grub.

Booting then failed at this point:
     GRUB Loading Stage 2 ........

My system is multiple boot with Windows 98, SuSE, and FC3/4.  See
"Additional Information" for details.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Upgrade FC3 to FC4 using "Linux Selinux=0 reiserfs" on multiboot system
2.  (Re)boot
3.
  

Actual Results:  Boot failed at this point
     GRUB Loading Stage 2 ........

Expected Results:  Booting should have continued

Additional info:

My system is a multiple boot with Windows 98, SuSE, and FC3/4.  Here's the
partition information:
----------partition information----------
[wwa@WWARedHat Sources]$ df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/hdb7             4.6G  2.5G  1.9G  57% /
none                  157M     0  157M   0% /dev/shm
/dev/hdb8             7.6G  3.6G  3.6G  50% /usr
/dev/hda1             5.9G  2.4G  3.5G  41% /mnt/Windows_C
/dev/hdb1             8.0G  6.9G  1.2G  86% /mnt/Windows_D
/dev/hdb2             7.1G  1.6G  5.5G  23% /mnt/hdb2
/dev/hdb3             2.1G  515M  1.6G  26% /mnt/hdb3
/dev/hda5             2.1G  1.4G  627M  70% /mnt/hda5

Disk /dev/hda: 10.1 GB, 10141286400 bytes
255 heads, 63 sectors/track, 1232 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1   *           1         765     6144831    b  W95 FAT32
/dev/hda2             766        1232     3751177+   5  Extended
/dev/hda5             766        1027     2104483+  83  Linux
/dev/hda6            1028        1040      104391   82  Linux swap
/dev/hda7            1041        1232     1542208+  83  Linux


Disk /dev/hdb: 61.4 GB, 61492838400 bytes
255 heads, 63 sectors/track, 7476 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hdb1               1        1045     8393931    c  W95 FAT32 (LBA)
/dev/hdb2            1046        1959     7341705   83  Linux
/dev/hdb3            1960        2221     2104515   83  Linux
/dev/hdb4            2222        7476    42210787+   5  Extended
/dev/hdb5            2222        2483     2104483+  83  Linux
/dev/hdb6            2484        2744     2096451   83  Linux
/dev/hdb7   *        2745        3345     4827501   83  Linux
/dev/hdb8            3346        4346     8040501   83  Linux
/dev/hdb9            4358        4440      666666   82  Linux swap
----------end partition information----------

Here's my device information:
----------device information----------
cat /etc/fstab
# This file is edited by fstab-sync - see 'man fstab-sync' for details
LABEL=/         /                       ext3            defaults        1 1
none            /dev/pts                devpts          gid=5,mode=620  0 0
none            /proc                   proc            defaults        0 0
none            /dev/shm                tmpfs           defaults        0 0
LABEL=/usr      /usr                    ext3            defaults        1 2
/dev/hdb9       swap                    swap            defaults        0 0
/dev/hda6       swap                    swap            defaults        0 0
/dev/hda1       /mnt/Windows_C          vfat            defaults        0 0
/dev/hdb1       /mnt/Windows_D          vfat            defaults        0 0
/dev/hdb2       /mnt/hdb2               reiserfs        defaults        1 2
/dev/hdb3       /mnt/hdb3               reiserfs        defaults        1 2
/dev/hda5       /mnt/hda5               reiserfs        defaults        1 2
/dev/hda7       /mnt/hda7               resierfs        defaults        1 2
/dev/sda1       /mnt/usb1               auto user,sync,noauto,umask=0000       0 0
/dev/hdd        /media/cdrom            auto pamconsole,ro,exec,noauto,managed 0 0
/dev/hdc        /media/cdrecorder       auto pamconsole,ro,exec,noauto,managed 0 0
/dev/fd0        /media/floppy           auto pamconsole,exec,noauto,managed    0 0
----------end device information----------

The computer is
     Pentium II 350 MHz (from around the year 2000)
     327680K RAM
     Award Modular BIOS V4.51PG
     ASUS P2B-F ACPI BIOS Revision 1013.A
     08/18/00-i440BX-<P2B-F>

The FC4 Linux version was
     vmlinuz-2.6.11-1.1369_FC4

Here's my grub.conf:
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd1,6)
#          kernel /boot/vmlinuz-version ro root=/dev/hdb7
#          initrd /boot/initrd-version.img
#boot=/dev/hda
default=0
timeout=10
splashimage=(hd1,6)/boot/grub/splash.xpm.gz
title Fedora Core (2.6.11-1.1369_FC4)
	root (hd1,6)
	kernel /boot/vmlinuz-2.6.11-1.1369_FC4 ro root=LABEL=/ 
	initrd /boot/initrd-2.6.11-1.1369_FC4.img
title Windows 98
	root (hd0,0)
	makeactive
	chainloader +1
title SuSE (2.4.16)
	root (hd0,4)
	kernel /boot/vmlinuz_24 root=/dev/hda5 ro
	initrd /boot/initrd_24

Comment 1 Peter Jones 2005-07-06 21:05:14 UTC
reiserfs is completely unsupported.

Comment 2 William Allen 2005-07-06 22:28:39 UTC
Note that the FC3 being updated to FC4 is not reiserfs; it is ext3
(from the above):
     LABEL=/       /       ext3      defaults        1 1
     LABEL=/usr    /usr    ext3      defaults        1 2
These are /dev/hdb7 and /dev/hdb8 respectively above.

Thus, I would expect the upgrade to work.  My previous upgrade on
those same partitions, from Red Hat 8 to Fedora Core 3, suffered
no such problems, installing without incident, though the same
reiserfs partitions were present then as now (/dev/hda5, /dev/hda7,
/dev/hdb2, and /dev/hdb3).

So it would seem some new behavior has intruded to interfere with
upgrading in the presence of reiserfs partitions, though they
are not the partitions to be upgraded; and then, if bypassed
as noted above, to hang booting at "GRUB Loading Stage 2".

Comment 3 Peter Jones 2005-07-06 22:44:16 UTC
If the installer or the bootloader have to deal with reiserfs at all, all bets
are off.  If you can reproduce this on a machine without reiserfs present at
all, then I'll investigate further.


Note You need to log in before you can comment on or make changes to this bug.